%define _unpackaged_files_terminate_build 1
%if %{expand:%%{!?_without_check:%%{!?_disable_check:1}}0}
%def_enable tests
%else
%def_disable tests
%endif

Name: xfce4-calculator-plugin
Version: 0.8.0
Release: alt1

Summary: A calculator plugin for the Xfce panel
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-calculator-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-calculator-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): meson rpm-macros-meson >= 1.3.1-alt1
BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libxfce4util-devel

Requires: xfce4-panel >= 4.16

%description
Simple command line based calculator for the Xfce panel

%prep
%setup
%patch -p1

%build
%meson \
	 %{subst_enable_meson_bool tests tests}
%meson_build -v

%install
%meson_install
%find_lang %name

%check
%meson_test

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*

%changelog
* Mon May 19 2025 Mikhail Efremov <sem@altlinux.org> 0.8.0-alt1
- Switched to meson build.
- Updated to 0.8.0.

* Tue Dec 24 2024 Mikhail Efremov <sem@altlinux.org> 0.7.3-alt1
- Updated to 0.7.3.

* Thu Oct 03 2024 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt2
- Fixed build: added intltool to BR.

* Thu Apr 20 2023 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt1
- Updated to 0.7.2.

* Wed Dec 23 2020 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- Updated Url tag.
- Updated to 0.7.1.

* Sun Sep 13 2020 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.g44a68de
- Added Vcs tag.
- Don't use rpm-build-licenses.
- Upstream git snapshot.

* Mon Feb 25 2019 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1
- Updated to 0.7.0.

* Mon Jan 14 2019 Mikhail Efremov <sem@altlinux.org> 0.6.90-alt1
- Enable debug (minimum level).
- Update url.
- Drop obsoleted path.
- Updated to 0.6.90.

* Tue Jun 21 2016 Mikhail Efremov <sem@altlinux.org> 0.6.0-alt1
- Enabled tests.
- Updated to 0.6.0.

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 0.5.1-alt1
- Initial build.

